/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package instrumentfinanciar2;

import java.util.ArrayList;
import java.util.ArrayDeque;
import java.util.Iterator;
// import java.io.Writer;
import java.io.FileWriter;
// import java.io.BufferedWriter;
// import java.io.OutputStreamWriter;
import java.io.IOException;
// import java.io.FileInputStream;
// import java.io.BufferedReader;
import java.io.FileReader;
import java.util.Scanner;


/**
 *
 * @author claudiu
 */
public class InstrumentFinanciar {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        Instr instr1 = new Instr("BRD", "Banca Romana pentru Dezvoltare", 9.8F, 100L);
        Instr instr2 = new Instr("ALR", "Alro Slatina", 1.8F, 500L);

        System.out.println(instr1.toString());

        Actiune act1 = new Actiune("TGN", "Transgaz Medias", 189.8F, 50L, 23.7F);

        System.out.println(act1.toString());

        Instr instr3 = act1;

        if (instr3.equals(act1))
            System.out.println("Cele doua obiecte sunt identice");
        else
            System.out.println("Obiectele sunt diferite!");

        Instr instr4 = instr2;

        System.out.println(instr4.toString());

        Instr[] instrArray;

        instrArray = new Instr[2];

        instrArray[0] = instr1;

        ArrayList<Instr> list = new ArrayList<Instr>();
        list.add(instr1);
        list.add(instr2);
        list.add(instr3);
        list.add(instr4);
        list.add(act1);
              
        Instr iter = null;
              
        try {
            Iterator<Instr> it = list.iterator();
            while (it.hasNext()) {
                iter = it.next();
                System.out.println(iter.toString());
            }
        } catch (Exception e) {
        }

        
        ArrayDeque<Instr> deque = new ArrayDeque<Instr>();
        deque.offerLast(instr1);
        deque.offerLast(instr2);
        deque.offerLast(instr3);
        deque.offerLast(instr4);
    
        FileWriter outFile = null;
        try{
            outFile = new FileWriter("InstrumenteFinanciare.csv", true);

            while (!deque.isEmpty()) {
                iter = deque.pollFirst();
                System.out.println(iter.toString());
                outFile.write(iter.toString());
                outFile.write("\r\n");
            }
        } catch (IOException ex) {
        } finally {
            outFile.close();
        }
        
        FileReader inFile = null;
        ArrayDeque<Instr> inDeque = new ArrayDeque<Instr>();
        
        try{
            inFile = new FileReader("InstrumenteFinanciare.csv");
            // utilizare Scanner pentru a parsa continutul fiecarei linii
           
            Scanner scanner = new Scanner(inFile);
            while (scanner.hasNextLine()) {
                // linia are o anumita structura
                Instr temp = new Instr();
                String tempStr = "";
                String nextLine = scanner.nextLine();
                Scanner scanLine = new Scanner(nextLine);
                scanLine.useDelimiter(",|;");
                
                // populeaza instrument finaciar si adauga-l in coada
                temp.setSimbol(scanLine.next());
                temp.setDenumire(scanLine.next());
                tempStr = scanLine.next();
                temp.setPret(Float.parseFloat(tempStr));
                tempStr = scanLine.next();
                temp.setCant(Long.parseLong(tempStr));
                
                inDeque.offerLast(temp);
            }                
        } catch (IOException ex) {
        } finally {
            inFile.close();
        }
        
         while (!inDeque.isEmpty()) {
            iter = inDeque.pollFirst();
            System.out.println(iter.toString());
         }
        
        // FileReader inFile = null;
        // inFile = new FileReader("InstrumenteFinaciare.csv");
        // BufferedReader inLine = new BufferedReader(inFile);
        
    }   
}
